require 'simplecov'
require 'coveralls'

SimpleCov.formatter = SimpleCov::Formatter::MultiFormatter[
  SimpleCov::Formatter::HTMLFormatter,
  Coveralls::SimpleCov::Formatter
]
SimpleCov.start

require 'bundler/setup'
Bundler.setup

require 'url_2_event' # and any other gems you need

require 'vcr'
require 'rspec/its'
require 'ap'

require 'dotenv'
Dotenv.load

VCR.configure do |c|
  c.cassette_library_dir = 'spec/cassettes'
  c.hook_into :webmock
  c.configure_rspec_metadata!
  c.filter_sensitive_data('<EVENTBRITE_TOKEN>') { ENV['EVENTBRITE_TOKEN'] }
  c.filter_sensitive_data('<MEETUP_API_KEY>') { ENV['MEETUP_API_KEY'] }
end

RSpec.configure do |config|
  # some (optional) config here
end
